package eu.pequignat.switchexpr;

public class Java11Switch {

    public enum Days {
        MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, SUNDAY;
    }

    public static String getSwitchClassicWithoutBreak(){
        StringBuilder result = new StringBuilder();
        int i=1;
        switch (i){
            case 1 :
                result.append("One:");
            default:
                result.append("default");
        }
        return result.toString();
    }

    public static String getSwitchClassicWithBreak(){
        StringBuilder result = new StringBuilder();
        int i=1;
        switch (i){
            case 1 :
                result.append("One");
                break;
            default:
                result.append(i);
        }
        return result.toString();
    }

    public static String getSwitchStringClassicWithBreak(){
        StringBuilder result = new StringBuilder();
        final String input="One";
        switch (input){
            case "One" :
                result.append(input);
                break;
            default:
                result.append("default");
        }
        return result.toString();
    }
    
    public static String getWeekOfDay(){
        Days days = Days.SUNDAY;
        StringBuilder result = new StringBuilder();
        switch (days) {
            case MONDAY:
                result.append("Weekdays");
                break;
            case TUESDAY:
                result.append("Weekdays");
                break;
            case WEDNESDAY:
                result.append("Weekdays");
                break;
            case THURSDAY:
                result.append("Weekdays");
                break;
            case FRIDAY:
                result.append("Weekdays");
                break;
            case SATURDAY:
                result.append("Weekends");
                break;
            case SUNDAY:
                result.append("Weekends");
                break;
            default:
                result.append("Unknown");
        }
        return result.toString();
    }
}
