package eu.pequignat.switchexpr;

public class Java17Switch {

    public enum Days {
        MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, SUNDAY;
    }

    /*
    THE NEW FUNCTIONS / SYNTAXES
     */

    public static String getNewWeekOfDaySyntaxYield(){
        Days days =  Days.SUNDAY;
        return switch (days) {
            case MONDAY:
                yield "Weekdays";
            case TUESDAY:
                yield "Weekdays";
            case WEDNESDAY:
                yield "Weekdays";
            case THURSDAY:
                yield "Weekdays";
            case FRIDAY:
                yield "Weekdays";
            case SATURDAY:
                yield "Weekends";
            case SUNDAY:
                yield "Weekends";
            default:
                yield "Unknown";
        };
    }

    public static String getNewWeekOfDaySyntaxLambda(){
        Days days =  Days.SUNDAY;
        return switch (days) {
            case MONDAY ->"Weekdays";
            case TUESDAY -> "Weekdays";
            case WEDNESDAY -> "Weekdays";
            case THURSDAY -> "Weekdays";
            case FRIDAY -> "Weekdays";
            case SATURDAY -> "Weekends";
            case SUNDAY -> "Weekends";
            default -> "Unknown";
        };
    }

    public static String getNewWeekOfDaySyntaxLambdaMultiCase(){
        Days days =  Days.SUNDAY;
        return switch (days) {
            case MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY -> "Weekdays";
            case SATURDAY, SUNDAY -> "Weekends";
            default -> "Unknown";
        };
    }


}
