package eu.pequignat.switchexpr;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

public class SwitchTest {

    @Test
    public void testSwitchesJava11WithoutBreak(){
        String switchStrJava11ClassicWOBreak = Java11Switch.getSwitchClassicWithoutBreak();
        Assertions.assertEquals("One:default", switchStrJava11ClassicWOBreak);
    }

    @Test
    public void testSwitchesJava11WithBreak(){
        String switchStrJava11ClassicWithBreak = Java11Switch.getSwitchClassicWithBreak();
        Assertions.assertEquals("One", switchStrJava11ClassicWithBreak);
    }

    @Test
    public void testStringSwitchJava11WithBreak(){
        Assertions.assertEquals("One", Java11Switch.getSwitchStringClassicWithBreak());
    }

    @Test
    public void testEnumSwitchJava11WithBreak(){
        Assertions.assertEquals("Weekends", Java11Switch.getWeekOfDay());
    }

    @Test
    public void testGetNewWeekOfDaySyntaxYield(){
        Assertions.assertEquals("Weekends", Java17Switch.getNewWeekOfDaySyntaxYield());
    }

    @Test
    public void testGetNewWeekOfDaySyntaxLambda(){
        Assertions.assertEquals("Weekends", Java17Switch.getNewWeekOfDaySyntaxLambda());
    }

    @Test
    public void testGetNewWeekOfDaySyntaxLambdaMultiCase(){
        Assertions.assertEquals("Weekends", Java17Switch.getNewWeekOfDaySyntaxLambdaMultiCase());
    }
}
